Class | Sequel::Qualifier
In: | lib/sequel/ast_transformer.rb
Parent: | ASTTransformer

Handles qualifying existing datasets, so that unqualified columns in the dataset are qualified with a given table name.

### Methods

new

### Public Class methods

new(ds, table)

Store the dataset to use as the basis for qualification, and the table used to qualify unqualified columns.

[Source]

        # File lib/sequel/ast_transformer.rb, line 82
    82:     def initialize(ds, table)
    83:       @ds = ds
    84:       @table = table
    85:     end

[Validate]